Bug 205449 - tools/regression/lib/msun/test-invtrig fails on i386
Summary: tools/regression/lib/msun/test-invtrig fails on i386
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: tests (show other bugs)
Version: 10.2-STABLE
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-testing (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-12-20 04:47 UTC by Enji Cooper
Modified: 2021-04-22 11:09 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Enji Cooper freebsd_committer 2015-12-20 04:47:02 UTC
test-invtrig fails on i386 on both head and stable/10, but not on amd64 in either case:

$ cd tools/regression/lib/msun
$ prove -v test-invtrig.t 
test-invtrig.t .. Assertion failed: (fpequal_tol(acosf(_in), _out, ((0) * ldexpf(1.0, 1 - 24)), CS_BOTH)), function test_special, file test-invtrig.c, line 116.

1..7
Failed 7/7 subtests 

Test Summary Report
-------------------
test-invtrig.t (Wstat: 134 Tests: 0 Failed: 0)
  Non-zero wait status: 134
  Parse errors: Bad plan.  You planned 7 tests but ran 0.
Files=1, Tests=0,  0 wallclock secs ( 0.01 usr  0.00 sys +  0.17 cusr  0.04 csys =  0.22 CPU)
Result: FAIL

A workaround to enable this test on i386 is coming soon.
Comment 1 commit-hook freebsd_committer 2015-12-20 04:53:53 UTC
A commit references this bug:

Author: ngie
Date: Sun Dec 20 04:52:53 UTC 2015
New revision: 292496
URL: https://svnweb.freebsd.org/changeset/base/292496

Log:
  Skip the testcases on i386 (all the assertions fail) [*]

  Also, don't compile the ldexpl(3) testcases on platforms that don't support
  the libcall (technically only x86 right now). This makes this test buildable on
  arm*/mips*/powerpc*

  PR: 205449 [*]
  MFC after: 1 week
  Tested on: stable/10 (amd64/i386), head (amd64/i386)
  Sponsored by: EMC / Isilon Storage Division

Changes:
  head/tools/regression/lib/msun/test-invtrig.c
Comment 2 commit-hook freebsd_committer 2015-12-27 20:55:38 UTC
A commit references this bug:

Author: ngie
Date: Sun Dec 27 20:54:48 UTC 2015
New revision: 292795
URL: https://svnweb.freebsd.org/changeset/base/292795

Log:
  MFC r292491,r292493,r292496:

  r292491:

  Disable test-ctrig.t testcases which fail assertions on i386 [*]

  Also, don't compile the exp2l(3) testcases on platforms that don't support the
  libcall (technically only x86 right now). This makes this test buildable on
  arm*/mips*/powerpc*

  Tested on: stable/10 (amd64/i386), head (amd64/i386)
  PR: 205446 [*]
  X-MFC to: stable/10
  Sponsored by: EMC / Isilon Storage Division

  r292493:

  Don't run test-fma on i386

  It completely fails all assertions on i386 on both stable/9 and stable/10

  PR: 205448
  X-MFC to: stable/10
  Sponsored by: EMC / Isilon Storage Division

  r292496:

  Skip the testcases on i386 (all the assertions fail) [*]

  Also, don't compile the ldexpl(3) testcases on platforms that don't support
  the libcall (technically only x86 right now). This makes this test buildable on
  arm*/mips*/powerpc*

  PR: 205449 [*]
  Tested on: stable/10 (amd64/i386), head (amd64/i386)
  Sponsored by: EMC / Isilon Storage Division

Changes:
_U  stable/10/
  stable/10/tools/regression/lib/msun/test-exponential.c
  stable/10/tools/regression/lib/msun/test-invtrig.c
Comment 3 commit-hook freebsd_committer 2015-12-27 21:34:47 UTC
A commit references this bug:

Author: ngie
Date: Sun Dec 27 21:34:37 UTC 2015
New revision: 292802
URL: https://svnweb.freebsd.org/changeset/base/292802

Log:
  MFstable/10 r292795:

  MFC r292491,r292493,r292496:

  r292491:

  Disable test-ctrig.t testcases which fail assertions on i386 [*]

  Also, don't compile the exp2l(3) testcases on platforms that don't support the
  libcall (technically only x86 right now). This makes this test buildable on
  arm*/mips*/powerpc*

  Tested on: stable/10 (amd64/i386), head (amd64/i386)
  PR: 205446 [*]
  X-MFC to: stable/10
  Sponsored by: EMC / Isilon Storage Division

  r292493:

  Don't run test-fma on i386

  It completely fails all assertions on i386 on both stable/9 and stable/10

  PR: 205448
  X-MFC to: stable/10
  Sponsored by: EMC / Isilon Storage Division

  r292496:

  Skip the testcases on i386 (all the assertions fail) [*]

  Also, don't compile the ldexpl(3) testcases on platforms that don't support
  the libcall (technically only x86 right now). This makes this test buildable on
  arm*/mips*/powerpc*

  PR: 205449 [*]
  Tested on: stable/10 (amd64/i386), head (amd64/i386)
  Sponsored by: EMC / Isilon Storage Division

Changes:
_U  stable/9/
_U  stable/9/tools/
_U  stable/9/tools/regression/
  stable/9/tools/regression/lib/msun/test-exponential.c
  stable/9/tools/regression/lib/msun/test-invtrig.c
Comment 4 Oleksandr Tymoshenko freebsd_committer freebsd_triage 2019-01-21 18:04:11 UTC
There is a commit referencing this PR, but it's still not closed and has been inactive for some time. Closing the PR as fixed but feel free to re-open it if the issue hasn't been completely resolved.

Thanks
Comment 5 Ed Maste freebsd_committer 2019-01-21 18:14:29 UTC
Re-open: the underlying bug is not fixed, the test has just been disabled
Comment 6 commit-hook freebsd_committer 2021-03-22 13:06:35 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/src/commit/?id=7f5693d05329ab976287b8d449e694e7a0f99e88

commit 7f5693d05329ab976287b8d449e694e7a0f99e88
Author:     Alex Richardson <arichardson@FreeBSD.org>
AuthorDate: 2021-03-22 13:05:28 +0000
Commit:     Alex Richardson <arichardson@FreeBSD.org>
CommitDate: 2021-03-22 13:06:02 +0000

    Fix unused functions in invtrig_test.c

    I only tested the WARNS=6 change on AArch64 and AMD64, but this file has
    unused functions for architectures with LDBL_PREC == 53.

    While touching this file change the LDBL_PREC == 53 checks to i386 checks.
    The long double tests should only be disabled for i386 (due to the rather
    odd rounding mode that it uses) not all architectures where long double
    is the same as double.

    PR:             205449
    Fixes:          87d65c747a43 ("lib/msun: Allow building tests with WARNS=6")
    Reported by:    Jenkins

 lib/msun/tests/invtrig_test.c | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)
Comment 7 commit-hook freebsd_committer 2021-04-22 11:09:44 UTC
A commit in branch stable/13 references this bug:

URL: https://cgit.FreeBSD.org/src/commit/?id=549e8b821fcf102a99bffb995832e01fc9c5108d

commit 549e8b821fcf102a99bffb995832e01fc9c5108d
Author:     Alex Richardson <arichardson@FreeBSD.org>
AuthorDate: 2021-03-22 13:05:28 +0000
Commit:     Alex Richardson <arichardson@FreeBSD.org>
CommitDate: 2021-04-22 09:44:51 +0000

    Fix unused functions in invtrig_test.c

    I only tested the WARNS=6 change on AArch64 and AMD64, but this file has
    unused functions for architectures with LDBL_PREC == 53.

    While touching this file change the LDBL_PREC == 53 checks to i386 checks.
    The long double tests should only be disabled for i386 (due to the rather
    odd rounding mode that it uses) not all architectures where long double
    is the same as double.

    PR:             205449
    Fixes:          87d65c747a43 ("lib/msun: Allow building tests with WARNS=6")
    Reported by:    Jenkins

    (cherry picked from commit 7f5693d05329ab976287b8d449e694e7a0f99e88)

 lib/msun/tests/invtrig_test.c | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)